import { Config as BaseConfig, Events, GenericExecutor } from './Executor';
import Task from '@dojo/core/async/Task';
export declare class GenericBrowser<E extends Events, C extends Config> extends GenericExecutor<E, C> {
    constructor(config: C);
    readonly environment: string;
    loadScript(script: string | string[]): Task<void>;
    protected _beforeRun(): Task<any>;
    protected _loadSuites(): Task<void>;
    protected _processOption(name: keyof Config, value: any): void;
    protected _resolveConfig(): Task<void>;
}
export default class Browser extends GenericBrowser<Events, Config> {
    static initialize(config?: Config): Browser;
}
export interface Config extends BaseConfig {
    basePath?: string;
    browserSuites?: string[];
}
export { Events };
